import { SimpleAsyncCache, SimpleSyncCache } from '../domain/SimpleCache';
export declare const createExampleSyncCache: () => {
    cache: SimpleSyncCache<any>;
    store: Record<string, any>;
};
export declare const createExampleAsyncCache: <T>() => {
    cache: SimpleAsyncCache<T>;
    store: Record<string, {
        value: T;
        options?: any;
    } | undefined>;
};
